{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}
{% block title %} {% trans "Contact Staff" %} {% endblock title %}

{% block content %}
<!-- Begin Page Content -->
<div class="container-fluid">

    <!-- Page Heading -->
    <h1 class="h3 mb-2 text-gray-800">{% trans "Contact" %}</h1>
    <p class="mb-4"><a target="_blank" href="{% url 'contact_admin:contact_create' %}">{% trans "Create Contact" %} </a>{% trans "To Database" %}</p>


    <!-- style -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">{% trans "Contact" %}</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>{% trans "Category" %}</th>
                            <th>{% trans "Name" %}</th>
                            <th>{% trans "Phone" %}</th>
                            <th>{% trans "Email" %}</th>
                            <th>{% trans "Address" %}</th>
                            <th>{% trans "Update" %}</th>
                            <th>{% trans "Delete" %}</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>{% trans "Category" %}</th>
                            <th>{% trans "Name" %}</th>
                            <th>{% trans "Phone" %}</th>
                            <th>{% trans "Email" %}</th>
                            <th>{% trans "Address" %}</th>
                            <th>{% trans "Update" %}</th>
                            <th>{% trans "Delete" %}</th>
                        </tr>
                    </tfoot>
                    <tbody>
                        {% for item in contact_detail %}
                        <tr>
                            <td>{{ item.contact }}</td>
                            <td>{{ item.name }}</td>
                            <td>{{ item.phone }}</td>
                            <td>{{ item.email }}</td>
                            <td>{{ item.address }}</td>
                            <td><a href="{% url 'contact_admin:contact_update' item.pk %}">{% trans "Update" %}</a></td>
                            <td><a href="{% url 'contact_admin:contact_delete' item.pk %}">{% trans "Delete" %}</a></td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>
<!-- /.container-fluid -->
{% endblock content %}

{% block custom_css %}
<!-- Custom styles for this page -->
<link href="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
{% endblock %}

{% block custom_js %}
<!-- Page level plugins -->
<script src="{% static 'admin/vendor/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>
<!-- Page level custom scripts -->
<script src="{% static 'admin/js/demo/datatables-demo.js' %}"></script>
{% endblock %}